maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Scholte (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (JXR-133) maven-jxr-plugin don't work with Java 9
Date Fri, 02 Dec 2016 09:48:58 GMT

     [ https://issues.apache.org/jira/browse/JXR-133?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Robert Scholte closed JXR-133.
------------------------------
    Resolution: Not A Problem
      Assignee: Robert Scholte

You've added {{io.netty:netty-build:jar:19}} as dependency to this plugin, and it is this
dependency which is causing this issue:

{noformat}
...
[INFO] \- io.netty:netty-build:jar:19:compile
[INFO]    \- com.puppycrawl.tools:checkstyle:jar:5.6:compile
[INFO]       +- antlr:antlr:jar:2.7.7:compile
[INFO]       +- commons-beanutils:commons-beanutils-core:jar:1.8.3:compile
[INFO]       |  \- commons-logging:commons-logging:jar:1.1.1:compile
[INFO]       +- commons-cli:commons-cli:jar:1.2:compile
[INFO]       +- com.google.collections:google-collections:jar:1.0:compile
[INFO]       \- com.sun:tools:jar:1.5.0:system
{noformat}

So it is actually a checkstyle-issue. I see that checkstyle 7.3 has a proper profile (default-tools.jar-oracle)
which only adds tools.jar when running with pre java9.
So either upgrade checkstyle or take your own responsibility to exclude this dependency in
case of java9 and above.

> maven-jxr-plugin don't work with Java 9
> ---------------------------------------
>
>                 Key: JXR-133
>                 URL: https://issues.apache.org/jira/browse/JXR-133
>             Project: Maven JXR
>          Issue Type: Bug
>          Components: maven2 jxr plugin
>    Affects Versions: 2.5
>         Environment: ➜  netty git:(jdk9) $JAVA_HOME/bin/java -version
> java version "9-ea"
> Java(TM) SE Runtime Environment (build 9-ea+146)
> Java HotSpot(TM) 64-Bit Server VM (build 9-ea+146, mixed mode)
>            Reporter: Norman Maurer
>            Assignee: Robert Scholte
>
> Using the maven-jxr-plugin with Java 9 not works.
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-jxr-plugin:2.5:jxr (generate-xref)
on project netty-all: Execution generate-xref of goal org.apache.maven.plugins:maven-jxr-plugin:2.5:jxr
failed: Plugin org.apache.maven.plugins:maven-jxr-plugin:2.5 or one of its dependencies could
not be resolved: Could not find artifact com.sun:tools:jar:1.5.0 at specified path /Library/Java/JavaVirtualMachines/jdk-9.jdk/Contents/Home/../lib/tools.jar
-> [Help 1]



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message